# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum

class PluginCurrentState(str, Enum):

    preparation = "Preparation"
    resource_acquisition = "ResourceAcquisition"
    queued = "Queued"
    submission = "Submission"
    monitoring = "Monitoring"
    cleanup = "Cleanup"
    ended = "Ended"

class SchedulerCurrentState(str, Enum):

    queued = "Queued"
    scheduled = "Scheduled"
    ended = "Ended"

class SparkBatchJobResultType(str, Enum):
    """The Spark batch job result.
    """

    uncertain = "Uncertain"
    succeeded = "Succeeded"
    failed = "Failed"
    cancelled = "Cancelled"

class SparkErrorSource(str, Enum):

    system = "System"
    user = "User"
    unknown = "Unknown"
    dependency = "Dependency"

class SparkJobType(str, Enum):
    """The job type.
    """

    spark_batch = "SparkBatch"
    spark_session = "SparkSession"

class SparkSessionResultType(str, Enum):

    uncertain = "Uncertain"
    succeeded = "Succeeded"
    failed = "Failed"
    cancelled = "Cancelled"

class SparkStatementLanguageType(str, Enum):

    spark = "spark"
    pyspark = "pyspark"
    dotnetspark = "dotnetspark"
    sql = "sql"
